# Castable Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Cast-able SQL parts. More...

Inheritance diagram for Castable:
[legend]

List of all members.

## Public Member Functions

| castTo ($cast)

## Protected Attributes

| $cast = null

## Detailed Description

Cast-able SQL parts.

Definition at line 18 of file Castable.class.php.

## Member Function Documentation

Castable::castTo | ( | $ | cast | ) |

Returns:
  Castable

Definition at line 25 of file Castable.class.php.

References $cast.

## Member Data Documentation

Castable::$cast = null`[protected]`

Definition at line 20 of file Castable.class.php.

Referenced by castTo().

The documentation for this class was generated from the following file:

- core/OSQL/Castable.class.php